// Copyright (c) 2025 Codemongous LLC. All Rights Reserved.

#include "SCW_UMovieSceneSequence.h"
#include "MovieSceneSequence.h"
#include "SourcifyCoreUEWrapperModule.h"

using namespace Sourcify;

SCW_UMovieSceneSequence::SCW_UMovieSceneSequence(UMovieSceneSequence* InMovieSceneSequence) : SCW_UMovieSceneSignedObject(InMovieSceneSequence), MovieSceneSequence(InMovieSceneSequence)
{

}

UMovieSceneSequence* SCW_UMovieSceneSequence::ToUMovieSceneSequence() const
{
	return MovieSceneSequence;
}

ISCW_UMovieSceneSequencePtr SCW_UMovieSceneSequence::ToUMovieSceneSequencePtr()
{
	return GetSharedThisAs<SCW_UMovieSceneSequence>();
}

ISCW_UMovieSceneSequenceConstPtr SCW_UMovieSceneSequence::ToUMovieSceneSequencePtr() const
{
	return GetSharedThisAs<SCW_UMovieSceneSequence>();
}